import javax.persistence.Basic;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.Id;
import javax.persistence.IdClass;
import javax.persistence.JoinColumn;
import javax.persistence.JoinColumns;
import javax.persistence.Lob;
import javax.persistence.ManyToOne;
import javax.persistence.PrimaryKeyJoinColumn;
import javax.persistence.SecondaryTable;
import javax.persistence.SecondaryTables;

@Entity
@SecondaryTables( {
    @SecondaryTable(name = "COMPANY", pkJoinColumns = {
        @PrimaryKeyJoinColumn(name = "ID", referencedColumnName = "ID") })
        
})
public class Professor {
  private String country;

  @Id
  private int id;

  private String name;

  @ManyToOne
  @JoinColumns( {
      @JoinColumn(name = "MGR_ID", referencedColumnName = "ID", table = "COMPANY") })
  private Professor manager;

  public int getId() {
    return id;
  }

  public void setId(int id) {
    this.id = id;
  }

  public String getCountry() {
    return country;
  }

  public void setCountry(String country) {
    this.country = country;
  }

  public String getName() {
    return name;
  }

  public void setName(String name) {
    this.name = name;
  }

  public Professor getManager() {
    return manager;
  }

  public void setManager(Professor manager) {
    this.manager = manager;
  }

  public String toString() {
    return "Professor id: " + getId() + " name: " + getName() + " country: " + getCountry();
  }
}
